# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define tarname pep8

Name:           python-%{tarname}
Version:        1.3.3
Release:        %mkrel 2
Summary:        Python style guide checker

Group:          Development/Python
# License is held in the comments of pep8.py
# setup.py claims license is Expat license, which is the same as MIT
License:        MIT
URL:            https://github.com/jcrocholl/pep8
## tarball can be dowloaded from http://pypi.python.org/pypi/pep8/%{version}#downloads
Source0:        %{tarname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools

%description
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plugin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.

%prep
%setup -qn %{tarname}-%{version}
# Remove #! from pep8.py
sed --in-place "s:#!\s*/usr.*::" pep8.py

%build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

 
%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.rst TODO.txt
%{_bindir}/pep8
%{python_sitelib}/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.3-2.mga3
+ Revision: 379266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 18 2012 grenoya <grenoya> 1.3.3-1.mga3
+ Revision: 272324
- new version (1.3.3)

* Sun Sep 11 2011 grenoya <grenoya> 0.6.1-1.mga2
+ Revision: 142475
- import package from Fedora
- switch from git version to last tarball version
- clean spec
- imported package python-pep8

